Bug 5105 - [UPDATE REQUEST] draklive-install-1.51-1
: [UPDATE REQUEST] draklive-install-1.51-1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-26 21:11 MSK by Konstantin Vlasov
Modified: 2015-03-04 14:48 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
konstantin.vlasov: published+


Attachments
ss (739.23 KB, image/png)
2015-03-02 11:07 MSK, Vladimir Potapov
Details
ss (2.88 MB, image/jpeg)
2015-03-02 18:33 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2015-02-26 21:11:09 MSK
Minor update for draklive-install.
Comment 1 Konstantin Vlasov 2015-02-26 21:36:30 MSK
https://abf.rosalinux.ru/build_lists/2442193
https://abf.rosalinux.ru/build_lists/2442194

Advisory: The final message dialog now also contains recommendation for user to launch XFdrake after reboot.

Test image is on its way...
Comment 2 Konstantin Vlasov 2015-02-26 22:34:19 MSK
Test iso image:
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/9544

(The image also contains the update from bug #5072.)
Comment 3 Vladimir Potapov 2015-03-01 19:12:00 MSK
1) Выбор вариантов установки на диск теперь со скроллингом. Это очень неудобно и ненаглядно - предлагаю убрать текстовую метку (насчет "мастер предлагает") и сделать без скроллинга
2) Насчет запуска XFdrake... предлагаю все ж более дружелюбно написать '...запустить "Настройку графического сервера" в "Настройках рабочего стола" (XFdrake)'
И иконку XFdrage на этот экран засунуть - для запоминания тех, кто графико-ориентирован.
Comment 4 Konstantin Vlasov 2015-03-01 21:20:13 MSK
1) Выбор вариантов установки не менялся от слова "совсем". Если появился скролл, это значит, что на диске были сделаны какие-то изменения, которые привели к появлению нового пункта, ранее недоступного (и потому не отображавшегося).
Убирать вводную фразу мне кажется неправильным, без неё верхняя схема визуально сливается с вариантами, становится сложнее разобраться во всём этом хаосе цветных прямоугольничков и контролов.

2) Запускать можно и через Simple Welcome (как раз сделали или вот-вот сделают, что он там будет отображаться). Кроме того, эта фраза в инсталляторе - одна на всех. А у гнома и LXDE расположение графических инструментов настройки отличается от KDE. Значки тоже могут быть разные (тот, что в SimpleWelcome, уже отличается от того, что в настройках рабочего стола). Да и не уверен, что добавить картинку в драковый диалог будет так просто (а чтобы она при этом ещё и оказалась засунутой не в самое идиотское место на диалоге - это вообще недостижимые мечты).
Comment 5 Vladimir Potapov 2015-03-02 11:07:40 MSK
Created attachment 3775 [details]
ss

И все-таки что-то с выбором произошло - у меня даже в лайве небольшой скролл, как будто чуть-чуть уменьшилось окно.
Comment 6 Vladimir Potapov 2015-03-02 11:26:49 MSK
а нелайвовом режиме у меня "ручной разметки диска" вообще не видно.
Comment 7 Vladimir Potapov 2015-03-02 11:28:28 MSK
Насчет XFdrake - да, когда он будет в SW такую фразу оставить можно... но там на тесты минимум неделю нужно, особенно на гибридах иначе поломаем всё.
Comment 8 Vladimir Potapov 2015-03-02 13:57:05 MSK
Посмотрел новый XFdrake. В меню он называется "Настройка видеокарты", так что нужно писать как минимум "Настройка видеокарты (XFdrake)"
Comment 9 Konstantin Vlasov 2015-03-02 15:52:35 MSK
(In reply to comment #5)
> И все-таки что-то с выбором произошло - у меня даже в лайве небольшой
> скролл, как будто чуть-чуть уменьшилось окно.

Возможно, дело в том, что раньше смотрел KDE, а теперь сравниваешь с гномом, у которого в теме заданы другие размеры контролов.


(In reply to comment #6)
> а нелайвовом режиме у меня "ручной разметки диска" вообще не видно.

Скрин, плиз. Не-лайвовый, наоборот, использует более компактные контролы, чем Гном.


(In reply to comment #8)
> Посмотрел новый XFdrake. В меню он называется "Настройка видеокарты", так
> что нужно писать как минимум "Настройка видеокарты (XFdrake)"

Тогда придётся концовку выкидывать, чтоб тавтологии не было. Напиши полную фразу, какую считаешь логичным показывать пользователю, обсудим.
Comment 10 Vladimir Potapov 2015-03-02 17:42:35 MSK
После перезагрузки система будет работать со свободными видеодрайверами. 
Если вам недостаточно их возможностей, то можно установить проприетарные драйвера, для этого запустите "Настройку видеокарты" из меню. 

Кстати - идея - вынести "Настройку видеокарты" в "Недавние приложения" после установки системы.
Comment 11 Vladimir Potapov 2015-03-02 18:33:34 MSK
Created attachment 3776 [details]
ss

> (In reply to comment #6)
> > а нелайвовом режиме у меня "ручной разметки диска" вообще не видно.
> 
> Скрин, плиз. Не-лайвовый, наоборот, использует более компактные контролы,
> чем Гном.
Это не лайв, установка KDE из образа из этого запроса на вполне приличном ноуте (1366x768)
Comment 12 Konstantin Vlasov 2015-03-02 19:07:18 MSK
(In reply to comment #10)
> После перезагрузки система будет работать со свободными видеодрайверами. 
> Если вам недостаточно их возможностей, то можно установить проприетарные
> драйвера, для этого запустите "Настройку видеокарты" из меню. 

Такой длинный текст никто читать не будет.

> Кстати - идея - вынести "Настройку видеокарты" в "Недавние приложения" после
> установки системы.

Это я пока не знаю, как делается. И не уверен, что это вообще относится к инсталлятору. Скорее, какие-то базовые конфиги...


(In reply to comment #11)
> Это не лайв, установка KDE из образа из этого запроса на вполне приличном
> ноуте (1366x768)

А вот на этом ноуте дополнительно обнаружился NTFS-раздел, поэтому появился новый пункт про урезание Windows. Посмотри на размер скроллбара. Даже если ты выкинешь заголовок, все пункты ну никак не влезут в диалог, всё равно скроллбар останется.

Единственным решением, чтобы влезали все пункты, будет увеличение размера самого диалога, и вопрос этот неоднократно поднимался, но для реализации нам нужны векторные картинки для установочной карусели, а их у нас нет.
Comment 13 Vladimir Potapov 2015-03-02 19:32:34 MSK
(In reply to comment #12)
> (In reply to comment #10)
> > После перезагрузки система будет работать со свободными видеодрайверами. 
> > Если вам недостаточно их возможностей, то можно установить проприетарные
> > драйвера, для этого запустите "Настройку видеокарты" из меню. 
> 
> Такой длинный текст никто читать не будет.
Смотря как оформить. Если с абзацным отступом между предложениями - будут читать.
Оставлять "как есть" нельзя, XFdrake это слишком загадочно для любого, кто не знает историю мандривы.
Comment 14 Stanislav Fomin 2015-03-03 18:33:06 MSK
(In reply to comment #13)
> (In reply to comment #12)
> > (In reply to comment #10)
> > > После перезагрузки система будет работать со свободными видеодрайверами. 
> > > Если вам недостаточно их возможностей, то можно установить проприетарные
> > > драйвера, для этого запустите "Настройку видеокарты" из меню. 
> > 
> > Такой длинный текст никто читать не будет.
> Смотря как оформить. Если с абзацным отступом между предложениями - будут
> читать.
> Оставлять "как есть" нельзя, XFdrake это слишком загадочно для любого, кто
> не знает историю мандривы.

Мне кажется, компромисный вариант (проверен вживую)
будет ОК.

Три простых мысли, разделенные абзацами.

Что надо перегрузится.
Что все будет работать и так.

И что если вы что-то знаете на тему проприетарных драйверов — что есть стандартный путь их установки.

    $msg  .= N("\n\n После перезагрузки система будет работать со свободными видеодрайверами. \n\n Чтобы установить проприетарные драйвера, запустите \n «Настройку видеокарты» из меню или «XFdrake» из консоли.");
Comment 15 Vladimir Potapov 2015-03-03 19:22:37 MSK
> Мне кажется, компромисный вариант (проверен вживую)
> будет ОК.
> 
> Три простых мысли, разделенные абзацами.
> 
> Что надо перегрузится.
> Что все будет работать и так.
> 
> И что если вы что-то знаете на тему проприетарных драйверов — что есть
> стандартный путь их установки.
> 
>     $msg  .= N("\n\n После перезагрузки система будет работать со свободными
> видеодрайверами. \n\n Чтобы установить проприетарные драйвера, запустите \n
> «Настройку видеокарты» из меню или «XFdrake» из консоли.");
+1
Comment 16 Konstantin Vlasov 2015-03-03 21:32:54 MSK
https://abf.rosalinux.ru/build_lists/2448718
https://abf.rosalinux.ru/build_lists/2448719

Advisory: The final message dialog now also contains information about installing proprietary drivers.

Тестовый образ (KDE):
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/9660
Comment 17 Vladimir Potapov 2015-03-04 11:42:55 MSK
draklive-install-1.51-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2448718/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2448719/x86_64/main/release/
********************************* Advisory *************************
The final message dialog now also contains recommendation for user to launch XFdrake after reboot.
********************************************************************
QA Verified